## AgsXmlBusinessGroup

AgsXmlBusinessGroup — password store by XML file

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_XML_BUSINESS_GROUP_GET_OBJ_MUTEX()
void | ags_xml_business_group_open_filename ()
AgsXmlBusinessGroup * | ags_xml_business_group_new ()

## Object Hierarchy

        GObject
        ╰── AgsXmlBusinessGroup

## Includes

    #include <ags/server/security/ags_xml_business_group.h>

## Description

The AgsXmlBusinessGroup is an object to keep passwords.

## Functions

### AGS_XML_BUSINESS_GROUP_GET_OBJ_MUTEX()

    #define AGS_XML_BUSINESS_GROUP_GET_OBJ_MUTEX(obj) (&(((AgsXmlBusinessGroup *) obj)->obj_mutex))

### ags_xml_business_group_open_filename ()

    void
    ags_xml_business_group_open_filename (AgsXmlBusinessGroup *xml_business_group,
                                          gchar *filename);

Open `filename` .

#### Parameters

xml_business_group | the AgsXmlBusinessGroup |
filename | the filename |

Since: 3.0.0

### ags_xml_business_group_new ()

    AgsXmlBusinessGroup *
    ags_xml_business_group_new ();

Create AgsXmlBusinessGroup.

#### Returns

the new AgsXmlBusinessGroup instance

Since: 3.0.0